# Small Info Tool for Touch Screens on ETA

## Building Debian Package
### Installing Dependencies
```sh
sudo apt install -yq meson devscripts dh-python
```

### Create Deb Package
```sh
meson setup build
sudo mk-build-deps -ir
dpkg-buildpackage -us -uc
```

## Graphics Card
| Property   | Description           |
|------------|-----------------------|
| vendor_id  | ID of the GPU vendor  |
| vendor     | Name of the GPU vendor|
| device_id  | ID of the GPU device  |
| device     | Name of the GPU device|

Description: This Python class represents a GPU object with properties such as vendor ID, vendor name, device ID, and device name.
### Example
```py
from etainfo import gpu
cards = gpu.get()
for card in cards:
    print(f"Vendor: {card.vendor}")
    print(f"Vendor ID: {card.vendor_id}")
    print(f"Device: {card.device}")
    print(f"Device ID: {card.device_id}")
```

## Network Device
| Property   | Description               |
|------------|---------------------------|
| mac        | MAC address of the device|
| interface  | Interface of the device  |

Description: This Python class represents a network device object with properties such as MAC address and interface.
```py
from etainfo import network
network_device = network.get()
if network_device:
    print(f"Mac interface:{network_device.interface} -> address:{network_device.mac}")

```

## CPU

| Property   | Description                    |
|------------|--------------------------------|
| model      | Model of the CPU               |
| vendor     | Vendor of the CPU              |
| microcode  | Microcode version of the CPU   |
| core_no    | Number of CPU cores            |
| thread_no  | Number of CPU threads          |

Description: This Python class represents a CPU object with properties such as model, vendor, microcode version, number of cores, and number of threads.

Example:
```py
from etainfo import cpu
processor = cpu.get()
if processor:
    print("Model:", processor.model)
    print("Vendor:", processor.vendor)
    print("Microcode:", processor.microcode)
    print("Number of Cores:", processor.core_no)
    print("Number of Threads:", processor.thread_no)
```